import * as React from 'react';

export default function useInterval(callback: () => void, delay: number = 1000): void {
  const savedCallback: React.MutableRefObject<() => void> = React.useRef();
  React.useEffect(() => {
    savedCallback.current = callback;
  }, [callback]);

  React.useEffect(() => {
    function tick() {
      savedCallback.current();
    }

    let id = setInterval(tick, delay);

    return () => clearInterval(id);
  }, [delay]);
}