# ibrdos-react-native-components

```bash
yarn add ibrdos-react-native-components 
npx expo install react-native-fast-image@8.6.3 react-native-gesture-handler@2.8.0 react-native-safe-area-context@4.4.1
```

```javascript
import {IRNCRootView, Column, Row} from 'ibrdos-react-native-components';

function App({...props}) {
  return (
    <IRNCRootView>
      <Column fullWidth="true" alignX="center">
        <Row>
          {/* Do Something */}
        </Row>
      </Column>
    </IRNCRootView>
  )
}
```

## Expo Dev Client

Some components in this library require the Expo Dev Client to be installed on your device. You can install it from
the [Expo Docs](https://docs.expo.dev/).

```bash
yarn add expo-dev-client
expo start --dev-client
```

## Components

### Column

```javascript
<Column
  fullWidth={true}
  alignX="center"
  alignY="center"
  style={{backgroundColor: 'red'}}
>
  {/* Do Something */}
</Column>
```

### Row

```javascript
<Row
  fullWidth={true}
  alignX="center"
  alignY="center"
  style={{backgroundColor: 'red'}}
>
  {/* Do Something */}
</Row>
```

## Note

Some components are not yet documented. Please refer to the source code for more information.